defaults = {
    'apt': {
        'packages': {
            'redis-server': {},
        },
    },
    'backups': {
        'paths': {
            '/var/lib/redis',
        },
    },
    'icinga2_api': {
        'redis': {
            'services': {
                'REDIS PROCESS': {
                    'command_on_monitored_host': '/usr/lib/nagios/plugins/check_procs -C redis-server -c 1:',
                },
            }
        },
    },
    'zfs': {
        'datasets': {
            'tank/redis': {
                'mountpoint': '/var/lib/redis',
                'neeeded_by': {
                    'pkg_apt:redis-server',
                },
            },
        },
    },
}

if node.has_bundle('telegraf'):
    defaults['telegraf'] = {
        'input_plugins': {
            'builtin': {
                'redis': [{}],
            },
        },
    }
